﻿$ErrorActionPreference = 'Stop';

$packageName= 'fakenet'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'http://heanet.dl.sourceforge.net/project/fakenet/Fakenet1.0c.zip'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  url           = $url
  softwareName  = 'fakenet'
  checksum      = '97414ab8b32560c9139a99a0c8149dda'
  checksumType  = 'md5'
}

Install-ChocolateyZipPackage @packageArgs

# Disable extraneous shims
$files = @(get-childitem $toolsDir\Fakenet1.0b\defaultFiles -include *.exe -recurse)
$files += @(get-childitem $toolsDir\Fakenet1.0b\extensions -include *.exe -recurse)
foreach ($file in $files) {
  New-Item "$file.ignore" -type file -force | Out-Null
}